<?php

namespace ModulesGarden\Servers\ZimbraEmail\App\Traits;


/**
 *
 * Created by PhpStorm.
 * User: Tomasz Bielecki ( tomasz.bi@modulesgarden.com )
 * Date: 05.09.19
 * Time: 14:13
 * Class Storage
 */
trait StorageTrait
{
    /**
     * @var \ModulesGarden\Servers\ZimbraEmail\App\Helpers\Storage
     */
    protected $storage;

    /**
     * @return \ModulesGarden\Servers\ZimbraEmail\App\Helpers\Storage
     */
    public function getStorage()
    {
        if(!$this->storage)
        {
            $this->storage = new \ModulesGarden\Servers\ZimbraEmail\App\Helpers\Storage();
        }

        return $this->storage;
    }

}